[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.First

Returns the first non-Nil element in the list.

## Declaration

Source position: classesh.inc line 2107

`public function TInterfaceList.First: IUnknown;`

## Description

First is the implementation of the IInterfaceList.First method. It returns the first non-Nil element from the list.

## See also

IInterfaceList.First |  | Return the first non-empty interface in the list.
TList.First |  | Returns the first non-nil pointer in the list.